Name: libhdf
Version: 4.1r5
Release: alt3
Summary: Hierarchical Data Format (HDF)
License: BSD-like
Group: System/Libraries
Url: http://hdf.ncsa.uiuc.edu

Source0: ftp://ftp.ncsa.uiuc.edu/HDF/HDF/HDF_Current/tar/HDF4.1r5.tar.bz2
Source1: http://hdf.ncsa.uiuc.edu/HDF-FAQ.html
Patch0: libhdf-zlib_jpeg_do_not_install.patch
Patch1: libhdf-shared.patch

# Automatically added by buildreq on Mon Dec 01 2003
BuildRequires: gcc-g77 libg2c-devel libjpeg-devel ncompress zlib-devel

%package devel
Summary: Libraries and headers for developing with HDF library
Group: Development/C
Requires: %name = %version-%release

%package devel-static
Summary: Static libraries for developing with HDF library
Group: Development/C
Requires: %name-devel = %version-%release

%description
HDF stands for Hierarchical Data Format. It is a library and multi-object
file format for the transfer of graphical and numerical data between
machines.  It is freely available.

Features of the HDF File Format:

  + It is versatile. HDF supports several different data models. Each
    data model defines a specific aggregate data type and provides an
    API for reading, writing, and organizing data and metadata of the
    corresponding type. Data models supported include multidimensional
    arrays, raster images, and tables.
  + It is self-describing, allowing an application to interpret the
    structure and contents of a file without any outside information.
  + It is flexible. With HDF, you can mix and match related objects
    together in one file and then access them as a group or as individual
    objects. Users can also create their own grouping structures using an
    HDF feature called vgroups.
  + It is extensible. It can easily accommodate new data models,
    regardless of whether they are added by the HDF development team or
    by HDF users.
  + It is portable. HDF files can be shared across most common platforms,
    including many workstations and high performance computers. An HDF
    file created on one computer can be read on a different system without
    modification.

%description devel
The libraries, header files and documentation for using the HDF library
in applications.

If you want to develop applications which will use the HDF library,
you'll need to install the %name-devel package.  You'll also need to
install the %name package.

%description devel-static
This package contains static libraries for developing with HDF library.

%prep
%setup -q -n HDF%version
%patch0 -p1
%patch1 -p1
cp %_sourcedir/HDF-FAQ.html HDF-FAQ.html

%build
./configure --prefix=%prefix
%make_build CFLAGS="$CFLAGS $RPM_OPT_FLAGS" \
  FFLAGS="$FFLAGS $RPM_OPT_FLAGS -w" \
  HDF
%make_build test-hdf

%install
install -d %buildroot{%_bindir,%_libdir,%_mandir,%_includedir}
install -d %buildroot%_mandir/man1
%make_install bindir=%buildroot%_bindir \
  libdir=%buildroot%_libdir \
  includedir=%buildroot%_includedir \
  mandir=%buildroot%_mandir \
  install-hdf install-hdf-man
mv %buildroot%_bindir/vmake %buildroot%_bindir/hdfvmake
mv %buildroot%_bindir/vshow %buildroot%_bindir/hdfvshow

%post -p /sbin/ldconfig
%postun -p %postun_ldconfig

%files
%_bindir/*
%_libdir/*.so.*
%_mandir/man1/*
%doc COPYING HDF-FAQ.html release_notes/ABOUT* release_notes/bugs*

%files devel
%_libdir/*.so
#%_libdir/*.la
%_includedir/*
%doc release_notes/compile.txt

%if_enabled static
%files devel-static
%_libdir/*.a
%endif

%changelog
* Mon Dec 01 2003 Yury A. Zotov <yz@altlinux.ru> 4.1r5-alt3
- Do not package .la files.
- Do not package devel-static by default.

* Wed Oct 16 2002 Yury A. Zotov <yz@altlinux.ru> 4.1r5-alt2
- build with gcc3.2

* Sat May 18 2002 Yury A. Zotov <yz@altlinux.ru> 4.1r5-alt1
- new version

* Mon Jun 18 2001 Yury A. Zotov <yz@altlinux.ru> 4.1r4-alt1
- Initial revision.
